# Uses of Interface
com.sun.mirror.util.DeclarationVisitor

Packages that use DeclarationVisitor
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of DeclarationVisitor in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration with parameters of type DeclarationVisitor
Modifier and Type
Method
Description
`void`
Declaration.`accept(DeclarationVisitor v)`
Applies a visitor to this declaration.

## Uses of DeclarationVisitor in com.sun.mirror.util

Classes in com.sun.mirror.util that implement DeclarationVisitor
Modifier and Type
Class
Description
`class`
`SimpleDeclarationVisitor`
A simple visitor for declarations.
Fields in com.sun.mirror.util declared as DeclarationVisitor
Modifier and Type
Field
Description
`static final DeclarationVisitor`
DeclarationVisitors.`NO_OP`
A visitor that has no side effects and keeps no state.
Methods in com.sun.mirror.util that return DeclarationVisitor
Modifier and Type
Method
Description
`static DeclarationVisitor`
DeclarationVisitors.`getDeclarationScanner(DeclarationVisitor pre, DeclarationVisitor post)`
Return a `DeclarationVisitor` that will scan the declaration structure, visiting declarations contained in another declaration.
`static DeclarationVisitor`
DeclarationVisitors.`getSourceOrderDeclarationScanner(DeclarationVisitor pre, DeclarationVisitor post)`
Return a `DeclarationVisitor` that will scan the declaration structure, visiting declarations contained in another declaration in source code order.
Methods in com.sun.mirror.util with parameters of type DeclarationVisitor
Modifier and Type
Method
Description
`static DeclarationVisitor`
DeclarationVisitors.`getDeclarationScanner(DeclarationVisitor pre, DeclarationVisitor post)`
Return a `DeclarationVisitor` that will scan the declaration structure, visiting declarations contained in another declaration.
`static DeclarationVisitor`
DeclarationVisitors.`getSourceOrderDeclarationScanner(DeclarationVisitor pre, DeclarationVisitor post)`
Return a `DeclarationVisitor` that will scan the declaration structure, visiting declarations contained in another declaration in source code order.